Results 1 to 5 of 5

Thread: Problem with installing multimedia Codecs

  1. #1

    Default Problem with installing multimedia Codecs

    Good Day

    Iam a new Suse user (i have suse 11 desktop), I am trying to install video codecs , I have read a post about installing restricted multimedia codecs,

    and I did all the steps , but an error message appeard:

    Problem: nothing provides libstdc++.so.6(GLIBCXX_3.4.15) needed by vlc-1.1.13-13.1.i586

    here I copied all the steps


    Directory: /home/xx
    Fri Jan 13 21:17:23 AST 2012
    xx@Me:~> su -
    Password:
    Me:~ # zypper ar -f http://opensuse-guide.org/repo/11.3/ libdvdcss
    System management is locked by the application with pid 6507 (/usr/lib/YaST2/bin/y2base).
    Close this application before trying again.
    Me:~ # zypper ar -f http://opensuse-guide.org/repo/11.3/ libdvdcss
    Adding repository 'libdvdcss' [done]
    Repository 'libdvdcss' successfully added
    Enabled: Yes
    Autorefresh: Yes
    URI: http://opensuse-guide.org/repo/11.3/

    Me:~ # zypper ref
    Repository 'HP-BNB-Dedicated-Update-Channel' is up to date.
    Retrieving repository 'PK_TMP_DIR' metadata [done]
    Repository 'Pckman' is up to date.
    Repository 'SuSE' is up to date.
    Repository 'Videolan' is up to date.
    Repository 'ed 1' is up to date.
    Repository 'gnome repository' is up to date.
    Repository 'graphics' is up to date.
    Retrieving repository 'libdvdcss' metadata [/]

    New repository or package signing key received:
    Key ID: B2F796E76867F5BE
    Key Name: Martin Schlander (cb400f) <martin.schlander@gmail.com>
    Key Fingerprint: BB43B3336DDF49C5C5A63613B2F796E76867F5BE
    Repository: libdvdcss

    Do you want to reject the key, trust temporarily, or trust always? [r/t/a/?] (r): a
    Retrieving repository 'libdvdcss' metadata [done]
    Building repository 'libdvdcss' cache [done]
    Repository 'mozilla' is up to date.
    Repository 'non-oss' is up to date.
    Download (curl) error for 'http://download.opensuse.org/repositories/OpenOffice.org:/STABLE/openSUSE_11.3/repodata/repomd.xml':
    Error code: Connection failed
    Error message: Failed to connect to 2001:67c:2178:8::13: Network is unreachable

    Abort, retry, ignore? [a/r/i/?] (a): r
    Repository 'open office' is up to date.
    Repository 'oss' is up to date.
    Repository 'packman' is up to date.
    Repository 'suse studio' is up to date.
    Repository 'update' is up to date.
    Repository 'xine' is up to date.
    All repositories have been refreshed.
    Me:~ # zypper in libdvdcss
    Loading repository data...
    Warning: Repository 'update' appears to outdated. Consider using a different mirror or server.
    Reading installed packages...
    Resolving package dependencies...

    Nothing to do.
    Me:~ # zypper ar -f Index of /pub/linux/misc/packman/suse/openSUSE_11.3 packman
    Adding repository 'packman' [done]
    Repository named 'packman' already exists. Please use another alias.
    Me:~ # zypper ref
    Repository 'HP-BNB-Dedicated-Update-Channel' is up to date.
    Retrieving repository 'PK_TMP_DIR' metadata [done]
    Repository 'Pckman' is up to date.
    Repository 'SuSE' is up to date.
    Repository 'Videolan' is up to date.
    Repository 'ed 1' is up to date.
    Repository 'gnome repository' is up to date.
    Repository 'graphics' is up to date.
    Repository 'libdvdcss' is up to date.
    Repository 'mozilla' is up to date.
    Repository 'non-oss' is up to date.
    Repository 'open office' is up to date.
    Repository 'oss' is up to date.
    Repository 'packman' is up to date.
    Repository 'suse studio' is up to date.
    Repository 'update' is up to date.
    Repository 'xine' is up to date.
    All repositories have been refreshed.
    Me:~ # zypper ref
    Repository 'HP-BNB-Dedicated-Update-Channel' is up to date.
    Retrieving repository 'PK_TMP_DIR' metadata [done]
    Repository 'Pckman' is up to date.
    Repository 'SuSE' is up to date.
    Repository 'Videolan' is up to date.
    Repository 'ed 1' is up to date.
    Repository 'gnome repository' is up to date.
    Repository 'graphics' is up to date.
    Repository 'libdvdcss' is up to date.
    Repository 'mozilla' is up to date.
    Repository 'non-oss' is up to date.
    Repository 'open office' is up to date.
    Repository 'oss' is up to date.
    Repository 'packman' is up to date.
    Repository 'suse studio' is up to date.
    Repository 'update' is up to date.
    Repository 'xine' is up to date.
    All repositories have been refreshed.
    Me:~ # zypper in lame libavcodec52 libavdevice52 ffmpeg gecko-mediaplayer libdvdnav4 libdvdread4 libquicktime0 libxine1 libxine1-codecs libxvidcore4 smplayer vlc w32codec-all xine-ui xvidcore
    Loading repository data...
    Warning: Repository 'update' appears to outdated. Consider using a different mirror or server.
    Reading installed packages...
    'gecko-mediaplayer' not found.
    'libdvdnav4' is already installed.
    No update candidate for 'libdvdnav4'.
    'libdvdread4' is already installed.
    No update candidate for 'libdvdread4'.
    'libxvidcore4' is already installed.
    No update candidate for 'libxvidcore4'.
    Resolving package dependencies...

    Problem: nothing provides libstdc++.so.6(GLIBCXX_3.4.15) needed by vlc-1.1.13-13.1.i586
    Solution 1: deinstallation of vlc-beta-1.3.0-2012011003.1.i586
    Solution 2: do not ask to install a solvable providing vlc
    Solution 3: break vlc by ignoring some of its dependencies

    Choose from above solutions by number or cancel [1/2/3/c] (c):



    Can you help me plz?

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    37,047
    Blog Entries
    16

    Default Re: Problem with installing multimedia Codecs

    Choose option 1
    Solution 1: deinstallation of vlc-beta-1.3.0-2012011003.1.i586
    My openSUSE 13.1 KDE Box
    My Articles
    Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    15,840

    Default Re: Problem with installing multimedia Codecs

    And next time please post computer code between COD tags: http://forums.opensuse.org/english/i...ags-guide.html
    Henk van Velden

  4. #4

    Default Re: Problem with installing multimedia Codecs

    Thanx for ur help, problem solved.

    hcvv : thank u for reminding me.

  5. #5
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    11,210

    Default Re: Problem with installing multimedia Codecs

    On 01/13/2012 08:16 AM, me1212 wrote:

    > Iam a new Suse user (i have suse 11 desktop)


    please be specific....i say because there is no such thing as "suse 11
    desktop"

    there is or was a:

    1. openSUSE 11.0
    2. openSUSE 11.1
    3. openSUSE 11.2
    4. openSUSE 11.3
    5. openSUSE 11.4
    6. openSUSE 12.1
    7. SUSE Linux Enterprise Desktop version 11 (aka SLED 11)

    if you have items 1, 2, or 3 from that list, then you have no longer
    supported version of openSUSE and should pick a version still in support
    (numbers 5 and 6 are currently supported)

    however, if you have 2 or 3 you may wish to join the keep-alive effort
    named Evergreen, here: http://tinyurl.com/4aflkpy (from that page i
    can't tell if they plan to add item 4 to their keep alive list, but i
    guess by now they have fully grasped the workload of trying to extend
    the life of every version after its end of live)

    if you have item 4: it reaches its end-of-live on January 16th (next
    Monday) so you should update to a version in support on Tuesday..

    if you have items 5 or 6 they are both supported! yipee!! which do you have?

    but, if you have item 7 you are in the wrong forum because SLED 11 is a
    commercial product supported by SUSE/Attachmate here:
    http://forums.novell.com/suse/suse-p...ux-enterprise/

    and, if you have SLED you are welcome to seek advice here, but BE
    ADVISED that many of the answers here might be from folks who have never
    run SLED (or maybe never even heard of it before) and
    you are likely much better off if you seek assistance from the
    Attachmate/SUSE forums--your ID/Pass here works there also.


    > Me:~ # zypper ar -f http://opensuse-guide.org/repo/11.3/ libdvdcss


    it looks like the guide you are following led you to try to install on
    to an openSUSE 11.3, is that what are running? if not, that guide is
    *not* for you! btw, that site is UNofficial....if you want quality help
    stick to [whatever].opensuse.org and no others.

    --
    DD http://tinyurl.com/DD-Caveat http://tinyurl.com/DD-Hardware
    http://tinyurl.com/DD-Software
    openSUSE®, the "German Engineered Automobiles" of operating systems!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •